[rust-dev] Deprecating rustpkg

Tony Arcieri bascule at gmail.com
Fri Jan 31 13:35:28 PST 2014


On Fri, Jan 31, 2014 at 1:12 PM, Vladimir Lushnikov <
vladimir at slate-project.org> wrote:

> If they're incompatible - you're out of luck - the library authors did not
> foresee this and you must deal with it yourself. This is for example why
> maven supports their 'exclusion' mechanism (
> https://maven.apache.org/guides/introduction/introduction-to-dependency-mechanism.html)
> but also there is no reason you should not be able to manually say to
> rustpkg - 'I know that version x.y.z works for both so please give me that
> version'.
>

I am still confused about:

1) In what situations are you saying there would actually be a workable
multi-version solution that wouldn't exist in a system like Maven
2) How these solutions are calculated

--
Tony Arcieri
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.mozilla.org/pipermail/rust-dev/attachments/20140131/5ead2afb/attachment.html>


More information about the Rust-dev mailing list